<script lang="ts">
  import { reverse } from "lodash-es";

  import CurrencyCardC from "./CurrencyCard.svelte";

  export let deck: CurrencyCard[];

  $: size = deck.length;
  $: renderedCards = reverse(deck.slice(0, 7));
</script>

<div class="wrapper" title="House card deck">
  <div class="deck">
    <div class="empty-deck" />
    {#each renderedCards as card, cardIdx (card)}
      <div
        class="deck-card"
        style:--deck-card-offset={(cardIdx * -1).toFixed(2) + "px"}
      >
        <CurrencyCardC {card} facedown />
      </div>
    {/each}
  </div>
  <span class="text">× {size}</span>
</div>

<style>
  .wrapper {
    display: flex;
    align-items: center;
    white-space: nowrap;
    flex-wrap: nowrap;
  }
  .deck {
    font-size: 0.5em;
    margin-right: 0.5rem;
    position: relative;
  }

  .empty-deck {
    width: 5em;
    height: 7em;
    border: 0.5em dashed #0005;
    border-radius: 0.5em;
  }

  .deck-card {
    position: absolute;
    top: var(--deck-card-offset);
    left: var(--deck-card-offset);
  }
</style>
